
GammaLib - Action #3908

Add GVector::angle method

11/25/2021 11:23 AM - Knödlseder Jürgen

Status: Closed Start date: 11/25/2021

Priority: Normal Due date:  

Assigned To: Knödlseder Jürgen % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 2.0.0   

Description

Add GVector::angle method to compute angle between two vectors.

History

#1 - 11/25/2021 11:53 AM - Knödlseder Jürgen

- Status changed from New to In Progress

- % Done changed from 0 to 90

A friend function was added that computes the angle between two vectors and returns the result in radians.

#2 - 11/28/2021 03:13 PM - Knödlseder Jürgen

- Status changed from In Progress to Closed

- % Done changed from 90 to 100

Merged into devel.
